import { get, post } from "../../utils/axios";

const networkRoute = `${process.env.REACT_APP_NETWORK_RESURRECTOR_API_URL}/network`;
const powerActionsRoute = `${process.env.REACT_APP_NETWORK_RESURRECTOR_API_URL}/resurrector`;

const readMachines = () => {
  const machinesPromise = get(`${networkRoute}/machines`);
  return machinesPromise;
};

const wakeMachine = async machineId => {
  try {
    const promise = await post(`${powerActionsRoute}/wake`, { machineId });
    return promise;
  } catch (ex) {
    debugger;
    console.log(ex);
  }
};

const pingMachine = machineId => {
  const promise = post(`${powerActionsRoute}/ping`, { machineId });
  return promise;
};

export { readMachines, wakeMachine, pingMachine };
